Bug 221711 - alsa-oss: x86_64 package conflicts with i386 package (/usr/bin/aoss)
alsa-oss: x86_64 package conflicts with i386 package (/usr/bin/aoss)
Product: Fedora
Classification: Fedora
Component: alsa-oss (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jima
Fedora Extras Quality Assurance
Depends On:
Blocks: FE7Target
  Show dependency treegraph
Reported: 2007-01-06 10:24 EST by Saikat Guha
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.0.12-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-15 09:29:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Saikat Guha 2007-01-06 10:24:47 EST
On Rawhide,

Transaction Check Error:   
   file /usr/bin/aoss from install of alsa-oss-1.0.12-3.fc6 conflicts with file
from package alsa-oss-1.0.12-3.fc6

I am using both 32-bit apps and 64-bit apps on an x86_64 host; both kinds of
apps use oss. However, I cannot install both i386 and x86_64 versions at the
same time since they both put the shell script /usr/bin/aoss in the same location. 

Perhaps, break out alsa-oss into libaoss.i368 and libaoss.x86_64 with the actual
libraries that go into /usr/lib and /usr/lib64, and make alsa-oss contain only
the wrapper script that takes a command line argument that selects which libaoss
it pulls into LD_PRELOAD (with the default case being the libaoss installed if
only one version is installed, or if two versions are installed and no cmd line
arg is given then pick the native arch). The libaoss.* packages can then depend
on alsa-oss. Thoughts?
Comment 1 Jima 2007-02-08 12:50:24 EST
Sorry for the delay, I had to actually acquire an x86_64 system to even start
figuring out how to resolve this.

alsa-oss 1.0.12-4.fc7 just cleared the build system, and should be going out to
mirrors sometime in the next day or so.  This release has the libraries split
out into alsa-oss-libs, with the script remaining in alsa-oss.  From my initial
testing, this allows both alsa-oss-libs.x86_64 and alsa-oss-libs.i386 to be
installed at the same time, and I've added a "-32" option to /usr/bin/aoss to
allow for selection of 32-bit libraries on 64-bit systems.  (If you use that
flag and they're not installed, it errors out.)  By default, aoss will use
64-bit libraries on 64-bit systems.

Let me know if this works for you; if there are any problems, I'll be happy to
address them.
Comment 2 Jima 2007-02-15 09:29:04 EST
Due to lack of response, I'm going to assume my fix for the problem was
sufficient.  Feel free to reopen the bug if that isn't the case.

Thanks for pointing out the problem!
Comment 3 Saikat Guha 2007-02-27 03:42:57 EST
Confirmed working. Thanks!
Comment 4 Jima 2007-02-27 12:09:56 EST
Excellent, thanks for the confirmation.

Note You need to log in before you can comment on or make changes to this bug.